// MotionSynth Scene Description  - Copyright 2002 Michael Mandel \\
// This is the default scene loaded when the application starts

* MotionData
	MotionName: 	WalkMotionA
	AMCFiles: 		MartialArts.Wednesday 13.AMC
	BodyWeights: 	3
END

* MotionData
	MotionName: 	AttackMotionA
	AMCFiles: 		MartialArts.Wednesday 11.AMC
	BodyWeights: 	4
END

* MotionData
	MotionName: 	AttackMotionB
	AMCFiles: 		MartialArts.Wednesday 28.AMC
	BodyWeights: 	4
END

* MotionData
	MotionName: 	IdleMotion
	AMCFiles: 		MartialArts.Wednesday 8.AMC
	BodyWeights: 	3
END

* MotionDataSet
	ID:			1
	AttackMotion: 	AttackMotionA
	IdleMotion:		IdleMotion
END

//this adds a character who is joystick controllable
* Character
	CharacterName:		player1
	Position:			2 0 0
	//these are optional	
	GameplayController:	0
	DatasetID:			1
END

//this character walks around using a transition graph
* Character
	CharacterName:		player2
	Position:			-1 0 1
	DefaultRootMotion:	WalkMotionA 1
	Enabled:			1
END

//this character simply plays back an animation
* Character
	CharacterName:		player3
	Position:			2 0 2
	DefaultRootMotion:	AttackMotionB -1
END

//this character plays back a blend
* Character
	CharacterName:		player4
	Position:			3 0 -2
	DefaultRootMotion:	WalkMotionA -1
	DefaultBlendMotion:	AttackMotionB -1
END